export default {
    dicts:[
        "business_tjdw","business_czhj","business_rqcz","business_zldw",
        "business_yqscdw","business_zsdw","business_wddw","business_ccwz","business_ggdw",
        "business_hjxx"
    ],
    props: {
        formData: {
            type: Object,
            default: () => ({})
        }
    },
    methods: {
        async getFormData() {
            return await this.$refs.stepFormPackageRef.getFormData();
        },
        getFilledFormData() {
            return this.$refs.stepFormPackageRef?.getFilledFormData();
        },
        getSjResource() {
            return this.$refs.stepFormPackageRef?.getSjResource();
        },
            //试验配制条件options
        getDictOptions(dictType) {
            return this.dict.type[dictType] || []
        },
        resetRecord() {
            this.$refs.stepFormPackageRef.resetRecord();
        },
    },
}
